Skip to content

Retrieve all sections (documents and subsections) in a binder's top-level root node or sub-level node.

GET/api/{version}/objects/binders/{binder_id}/sections/{section_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value.
{section_id}Optional: Retrieve all sections (documents and subsections) in a binder's sub-level node. If not included, all sections from the binder's top-level root node will be returned.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v21.2/objects/binders/29/sections
{ "responseStatus": "SUCCESS", "binder": { "nodes": [ { "properties": { "document_id__v": 7, "name__v": "VeevaProm Information", "order__v": 0, "type__v": "document", "id": "1457556160448:810987462", "parent_id__v": "rootNode" } }, { "properties": { "document_id__v": 2, "name__v": "VeevaProm Consumer Info", "order__v": 300, "type__v": "document", "id": "1457559259279:-602158059", "parent_id__v": "rootNode" } }, { "properties": { "document_id__v": 5, "name__v": "VeevaProm Brochure", "order__v": 301, "type__v": "document", "id": "1457556176044:-743019200", "parent_id__v": "rootNode" } }, { "properties": { "section_number__v": null, "name__v": "First Section Folder", "order__v": 401, "type__v": "section", "id": "1457560333810:-909497856", "parent_id__v": "rootNode" } }, { "properties": { "section_number__v": null, "name__v": "Second Section Folder", "order__v": 501, "type__v": "section", "id": "1457560348267:1179700878", "parent_id__v": "rootNode" } } ] } }
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v21.2/objects/binders/29/sections/1457560348267:1179700878
{ "responseStatus": "SUCCESS", "node": { "properties": { "section_number__v": null, "name__v": "Second Section Folder", "order__v": 501, "type__v": "section", "id": "1457560348267:1179700878", "parent_id__v": "rootNode" }, "nodes": [ { "properties": { "document_id__v": 24, "name__v": "Nyaxa Information Packet", "order__v": 0, "type__v": "document", "id": "1457560406595:-2060980086", "parent_id__v": "1457560348267:1179700878" } }, { "properties": { "document_id__v": 23, "name__v": "Nyaxa and Your Health", "order__v": 100, "type__v": "document", "id": "1457560409271:-1499449603", "parent_id__v": "1457560348267:1179700878" } }, { "properties": { "document_id__v": 25, "name__v": "Nyaxa Prescribing Information", "order__v": 200, "type__v": "document", "id": "1457560412997:-1622511549", "parent_id__v": "1457560348267:1179700878" } } ] } }